makeup|SDK makeup|SDK is a library based on visage|SDK face tracking used to configure and render virtual makeup.

Loading...
Searching...
No Matches
Instance Methods | Class Methods | List of all members
Effect Class Reference

`#import <FeatureTemplate.h>`

Inherits NSObject.

## Instance Methods
(unsigned int) | - GetID
(NSString *) | - GetName
(NSString *) | - GetType
(NSMutableArray *) | - GetElements
(NSArray *) | - GetBoundingBox
(void) | - SetBoundingBox:
(NSMutableDictionary *) | - ToJSON
(NSString *) | - ToJSONString

## Class Methods
(Effect *) | + FromJSONString:
(Effect *) | + FromJSON:

## Detailed Description

Effect instances are used to store information required to uniquely identify each created makeup entity. Effect instances are created from FeatureTemplate and (optional) FinishTemplate instances passed to MakeUpEngine::CreateMakeup function in the API. Objects of this type are read only. Effect is defined by the following:

- id : unique identifier of the effect
- type : feature type used to create the effect
- name : feature name used to create the effect
- elements : a list of elements contained in the effect created from ElementTemplate instances of FeatureTemplate and FinishTemplate used to create this effect.

## Method Documentation

## ◆ FromJSON:

+ (Effect *) FromJSON: |  | (NSDictionary *) | jsonDictionary |

Deserializes Effect object from JSON representation.

Parameters

  jsonDictionary | JSON dictionary

Returns
  deserialized Effect object

## ◆ FromJSONString:

+ (Effect *) FromJSONString: |  | (NSString *) | JSON_data |

Returns Effect object out of JSON string.

Parameters

  JSON_data | JSON string

Returns
  deserialized Effect object

## ◆ GetBoundingBox

- (NSArray *) GetBoundingBox |  |  |

Returns the bounding box in which this effect is visible

Returns
  bounding box

## ◆ GetElements

- (NSMutableArray *) GetElements |  |  |

Returns the elements required for rendering this effect

Returns
  list of the elements

## ◆ GetID

- (unsigned int) GetID |  |  |

Returns the id of the effect

Returns
  id of the effect

## ◆ GetName

- (NSString *) GetName |  |  |

Returns the name of the effect

Returns
  name of the effect

## ◆ GetType

- (NSString *) GetType |  |  |

Returns the type of the effect

Returns
  type of the effect

## ◆ SetBoundingBox:

- (void) SetBoundingBox: |  | (NSArray *) | boundingBox |

Returns the elements required for rendering this effect

Returns
  list of the elements

## ◆ ToJSON

- (NSMutableDictionary *) ToJSON |  |  |

Creates JSON representation out of this Effect object.

Returns
  JSON representation of this Effect returned as NSMutableDictionary

## ◆ ToJSONString

- (NSString *) ToJSONString |  |  |

Creates JSON string out of this Effect object.

Returns
  JSON representation of this Effect returned as string